VIATRA2/Installation

From Eclipsepedia

Jump to: navigation, search

Contents

Installing VIATRA2

Prerequisites

VIATRA2 R3.x is available as an Eclipse feature, and as such, it requires Eclipse Helios, and with some limitations, it is also able to run under Ganymede. VIATRA2 also uses some Java6-specific features, so you should have an up-to-date version of the Java1.6 software development kit (Java6 Standard Edition SDK download).

Required Eclipse Components

VIATRA2 R3.x (with the default add-ons) requires the following Eclipse features:

  • Eclipse Modeling Framework 2.5.x (core requirement)
  • Graphical Editing Framework (only for domain-specific modeling) 3.2.x
  • EMF UML2 3.0.x (for UML2.2 model import)

Installing from the Update site

Installing VIATRA2 from the update site is the easiest way of trying VIATRA2 (and it is the recommended way also). To install VIATRA2 to a vanilla Eclipse Galileo (3.5) installation, follow this procedure:


  1. Start Eclipse, select Help|Install new software
  2. On the Update site screen, add a new remote update site: http://viatra.inf.mit.bme.hu/update/nightly for a nightly updated, bleeding-edge variant with most current features and fixes
  3. On the Results screen, select all features from VIATRA
  4. Finish the installation and restart Eclipse.

Once the procedure is complete, VIATRA2 is ready to be used. For basic instructions, see VIATRA2/GettingStarted.

Installing from Subversion

The prerequisites for installing from the Subversion repository are the same as for the binary distribution. Additionally, you'll also need a subversion integration plug-in for Eclipse (we recommend Eclipse Subversive.

Checking out projects

If you intend to use the Subversion repository, you'll have to check out VIATRA2 plugin projects into your Eclipse workspace and run VIATRA2 in a run-time workspace in another Eclipse instance (only recommended for development and debugging). You have to separately ensure that the Eclipse Modeling Framework (EMF) and the UML dependency is installed in your Eclipse environment (refer to Help|Software Updates or Help|Install New Software depending on your version of Eclipse).

There are two SVN repositories of interest:

  • VIATRA.INF.MIT.BME.HU mirror (recommended): https://viatra.inf.mit.bme.hu/svn/ Here you'll find the core components as well as add-ons of the VIATRA2 framework such as the model management engine, the transformation interpreter, the VTCL parser, the pattern matcher engines and the user interface components.

The ECLIPSE.ORG repository contains release snapshots of the source tree, while the MIT.BME.HU mirror is the up-to-date development tree.